# Submit a payment partial refund request

Partially refund a payment

Endpoint: POST /api/payments/{linkData}/partialRefunds
Version: 2024-06-01
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version
    Enum: "2024-06-01"

## Request fields (application/json):

  - `reference` (string, required)

  - `value` (object, required)
    The value and currency.

  - `value.currency` (string, required)
    The three character currency code. See list of supported currencies
    Example: "USD"

  - `value.amount` (integer, required)
    The payment amount. Implied decimal. For example, 250 GBP = £2.50
When set to 0 will perform a card verification instead of a payment as part of a new customerAgreement.
    Example: 250

  - `value.acceptPartialAmount` (boolean)
    Set to true to accept a partial authorization amount. You can charge the remainder of the amount using a different payment credential with a new authorization request.

## Response 202 fields (application/json):

  - `outcome` (string)
    Enum: "sentForPartialRefund"

  - `paymentId` (string)

  - `_links` (object)
    Return details about the status of the payment.

  - `_links.self` (object)

  - `_links.self.href` (string)

  - `_actions` (object)

  - `_actions.partiallyRefundPayment` (object)
    Partially refund the payment. See [details](../manage-payments/partialrefund)

  - `_actions.partiallyRefundPayment.href` (string)

  - `_actions.partiallyRefundPayment.method` (string)

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `jsonPath` (string)

  - `validationErrors` (array)

## Response 401 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 404 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 406 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `headerName` (string)

## Response 415 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 500 fields (application/json):

  - `errorName` (string)

  - `message` (string)


